#
# spec file for package perl-Set-Scalar
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Set-Scalar
Version:        1.29
Release:        1.34
%define cpan_name Set-Scalar
Summary:        Basic Set Operations
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Set-Scalar/
Source0:        http://www.cpan.org/authors/id/D/DA/DAVIDO/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
basic set operations

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc ChangeLog README README.old

%changelog
* Tue Apr 14 2015 coolo@suse.com
- updated to 1.29
  see /usr/share/doc/packages/perl-Set-Scalar/ChangeLog
  1.29 2014-03-24  Dave Oswald <davido@cpan.org>
  * Fixed set operations examples in POD (Xaerxess via GitHub).
  1.28 2014-02-24  Dave Oswald <davido@cpan.org>
  * Fix POD example showing power_set() method returning an iterator. Now it
    correctly demonstrates power_set_iterator() returning an iterator.
    (Response to report from vagabonding_electron on PerlMonks.)
* Sun Feb  9 2014 coolo@suse.com
- updated to 1.27
  * Merge pull request for typo fix in POD.
  * Merge pull request for adding meta-data via Makefile.PL.
  * ChangeLog is more standards compliant.
  * Module POD now mentions current maintainer, and GitHub repo.
* Fri Jul 26 2013 coolo@suse.com
- updated to 1.26
  * Fixed "Set::Scalar::Valued" [rt.cpan.org #69037], bug reported
    and fix supplied by Kiran Mukhyala, the problem was in null()
    not being defined for valued set universes.
  * Fixed qq[More whitespace in examples could show "picture" of
    operations] [rt.cpan.org #54172 and #54173], bug reported
    and fix supplied by MichaelRWolf.  (ASCII art, so relies
    on fixed-width font.)
* Wed Feb 27 2013 coolo@suse.com
- update license to new format
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Wed Jan 13 2010 anicka@suse.cz
- update to 1.25
  * Fixed "trying to add an element twice prevents further
  adds to the set" [rt.cpan.org #52559]
  * Removed unused and deprecated (Perl 5.12?) "use UNIVERSAL 'isa'"
  from Set/Scalar/Virtual.pm.
  * Add tests for the copy overload.
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Mon Aug  3 2009 anicka@suse.cz
- update to 1.24
  * Fixed "The intersection method does not like references in the
  set." [rt.cpan.org #46589], bug reported and fix provided by
  Father Chrysostomos.
  * Cosmetics: removed trailing whitespace.
  * Renamed README as README.old.  It has been close to ten years.
  * Added new README.
  * Updated copyright years.
* Tue Jan 20 2009 anicka@suse.cz
- update to 1.23
  * Add overload for '@{}' as suggested by John Loverso,
  meaning that you can now do @$set and get the members
  of the set (unordered, mind)
  * Add overload for '=' (how did we manage so long without?)
  * Remove explicit import of UNIVERSAL::isa()
  * Add cartesian_product() and power_set(), both as full
  constructors and as iterators.
  * Add empty_clone().
* Thu Nov  1 2007 anicka@suse.cz
- update to 1.22
  * Add cartesian_product() and power_set(), both as full
    constructors and as iterators.
  * Add empty_clone().
  * Makefile.PL not requiring Test::More since we are not using it.
  * Made to work with the upcoming Perl 5.005_05
    (yes, you read that right), most importantly
    Scalar::Util made optional (we fall back to
    pure Perl emulations for blessed() and refaddr()
    if necessary).  Everything else already worked.
* Mon Oct  8 2007 anicka@suse.cz
- update to 1.21
  * Made to work with the upcoming Perl 5.005_05, most importantly
    Scalar::Util made optional (we fall back to
    pure Perl emulations for blessed() and refaddr()
    if necessary).  Everything else already worked.
  * bugfixes
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan  4 2006 anicka@suse.cz
- update to 1.20
* Wed Sep 28 2005 dmueller@suse.de
- add norootforbuild
* Thu Aug 19 2004 mjancar@suse.cz
- update to 1.19
* Thu Feb 26 2004 mjancar@suse.cz
- update to 1.18
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Tue Jul 15 2003 mjancar@suse.cz
- adapt to perl-5.8.1
- use %%perl_process_packlist
* Wed Jun 18 2003 coolo@suse.de
- package directories
* Tue May 20 2003 mjancar@suse.cz
- remove unpackaged files
* Tue Jul  2 2002 mls@suse.de
- remove race in .packlist generation
* Thu Jan 17 2002 rvasice@suse.cz
- update to version 1.17
- fixed filelist
* Mon Aug 13 2001 rvasice@suse.cz
- initial package release (version 1.10)
